<ng-template #addItemModal let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title" translate="menu-item.modal.title-header"></h4>
        <button type="button" class="close" aria-label="Close" (click)="closeModal()">
        </button>
    </div>
    <div class="modal-body">
        <form>
            <div class="form-group">
                <label for="tituloId" translate="menu-item.modal.title"></label>
                <input id="tituloId" class="form-control" name="titulo" [disabled]="true" [(ngModel)]="modalItem.title">
                <br />
                <label for="descricaoId" translate="menu-item.modal.desc"></label>
                <input id="descricaoId" class="form-control" name="descricao" [disabled]="true" [(ngModel)]="modalItem.descripton">
                <br />
                <label for="quantidadeId" translate="menu-item.modal.quantity"></label>
                <input id="quantidadeId" class="form-control" type="number" name="quantidade" [(ngModel)]="quantidade">
                <br />
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-success" (click)="onAddItem()" translate="menu-item.modal.btn-add-cart"></button>
        <button type="button" class="btn" (click)="closeModal()" translate="menu-item.modal.btn-close"></button>
    </div>
</ng-template>

<div class="page-header custom-page-header" data-parallax="true">
    <div class="content-center">
        <div class="filter"></div>
        <div class="container">
            <div class="title-brand">
                <h1 translate="menu-item.title"></h1>
                <h3 translate="menu-item.desc"></h3>
            </div>
        </div>
    </div>
</div>
<div class="main">
    <div class="content">
        <div class="container-fluid">
            <div class="filter">
                <div class="row">
                        <div class="col-md-3">
                        <div class="input-group">
                            <input type="text" class="form-control" placeholder="Procurar" aria-describedby="basic-addon1" [(ngModel)]="filter">
                            <button type="button" class="btn btn-just-icon" (click)="onFilter()">
                                    <i class="fa fa-search fa-2x" aria-hidden="true"></i>
                            </button>

                        </div>
                    </div>             
                </div>  
            </div>
            <div class="line-horizontal"> </div>
            <br/><br/>
            <div class="card-list-content">
                <div class="row">
                    <div class="col-sm-4"  *ngFor="let item of menuListPage1">
                        <div class="card">
                            <div class="card-body">
                                <h5 class="card-title">{{ item.title }}</h5>
                                <img class="card-img" [src]="item.photo">
                                <p class="card-text">{{ item.descripton }}</p>
                                
                                <button *ngIf="user.type === 'CLIENT'" type="button" class="btn btn-just-icon" (click)="openModalAddItem(item)">
                                        <i class="fa fa-plus-circle fa-4x" aria-hidden="true"></i>
                                </button>

                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-4"  *ngFor="let item of menuListPage2">
                        <div class="card">
                            <div class="card-body">
                                <h5 class="card-title">{{ item.title }}</h5>
                                <img class="card-img" [src]="item.photo">
                                <p class="card-text">{{ item.descripton }}</p>
                                
                                <button *ngIf="user.type === 'CLIENT'" type="button" class="btn btn-just-icon" (click)="openModalAddItem(item)">
                                        <i class="fa fa-plus-circle fa-4x" aria-hidden="true"></i>
                                </button>

                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-4"  *ngFor="let item of menuListPage3">
                        <div class="card">
                            <div class="card-body">
                                <h5 class="card-title">{{ item.title }}</h5>
                                <img class="card-img" [src]="item.photo">
                                <p class="card-text">{{ item.descripton }}</p>

                                <button *ngIf="user.type === 'CLIENT'" type="button" class="btn btn-just-icon" (click)="openModalAddItem(item)">
                                        <i class="fa fa-plus-circle fa-4x" aria-hidden="true"></i>
                                </button>
                                
                            </div>
                        </div>
                    </div>
                </div>
            </div>  
        </div>
    </div>          
</div>